--[[

ARL-Tailor.lua

Tailoring data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitTailoring()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkillSpell(2963, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2387, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2393, 1, L["Trainer"])
	ARL:addTradeSkillSpell(3915, 1, L["Trainer"])
	ARL:addTradeSkillSpell(12044, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2385, 10, L["Trainer"])
	ARL:addTradeSkillSpell(8776, 15, L["Trainer"])
	ARL:addTradeSkillSpell(12045, 20, L["Trainer"])
	ARL:addTradeSkillSpell(3914, 30, L["Trainer"])
	ARL:addTradeSkillSpell(7623, 30, L["Trainer"])
	ARL:addTradeSkillSpell(7624, 30, L["Trainer"])
	ARL:addTradeSkillSpell(3840, 35, L["Trainer"])
	ARL:addTradeSkillSpell(2392, 40, L["Trainer"])
	ARL:addTradeSkillSpell(2394, 40, L["Trainer"])
	ARL:addTradeSkillSpell(8465, 40, L["Trainer"])
	ARL:addTradeSkillSpell(3755, 45, L["Trainer"])
	ARL:addTradeSkillSpell(2397, 60, L["Trainer"])
	ARL:addTradeSkillSpell(3841, 60, L["Trainer"])
	ARL:addTradeSkillSpell(2386, 65, L["Trainer"])
	ARL:addTradeSkillSpell(2395, 70, L["Trainer"])
	ARL:addTradeSkillSpell(2964, 75, L["Trainer"])
	ARL:addTradeSkillSpell(2402, 75, L["Trainer"])
	ARL:addTradeSkillSpell(12046, 75, L["Trainer"])
	ARL:addTradeSkillSpell(3845, 80, L["Trainer"])
	ARL:addTradeSkillSpell(3757, 80, L["Trainer"])
	ARL:addTradeSkillSpell(2399, 85, L["Trainer"])
	ARL:addTradeSkillSpell(3843, 85, L["Trainer"])
	ARL:addTradeSkillSpell(6521, 90, L["Trainer"])
	ARL:addTradeSkillSpell(2396, 70, L["Trainer"])
	ARL:addTradeSkillSpell(3842, 70, L["Trainer"])
	ARL:addTradeSkillSpell(2401, 95, L["Trainer"])
	ARL:addTradeSkillSpell(2406, 100, L["Trainer"])
	ARL:addTradeSkillSpell(7639, 100, L["Vendor"])
	ARL:addTradeSkillSpell(3848, 110, L["Trainer"])
	ARL:addTradeSkillSpell(3850, 110, L["Trainer"])
	ARL:addTradeSkillSpell(8467, 110, L["Trainer"])
	ARL:addTradeSkillSpell(3839, 125, L["Trainer"])
	ARL:addTradeSkillSpell(3855, 125, L["Trainer"])
	ARL:addTradeSkillSpell(3866, 110, L["Trainer"])
	ARL:addTradeSkillSpell(3852, 130, L["Trainer"])
	ARL:addTradeSkillSpell(6690, 135, L["Trainer"])
	ARL:addTradeSkillSpell(8758, 140, L["Trainer"])
	ARL:addTradeSkillSpell(8760, 145, L["Trainer"])
	ARL:addTradeSkillSpell(3859, 150, L["Trainer"])
	ARL:addTradeSkillSpell(3813, 150, L["Trainer"])
	ARL:addTradeSkillSpell(8483, 160, L["Trainer"])
	ARL:addTradeSkillSpell(8762, 160, L["Trainer"])
	ARL:addTradeSkillSpell(3871, 170, L["Trainer"])
	ARL:addTradeSkillSpell(8764, 170, L["Trainer"])
	ARL:addTradeSkillSpell(3865, 175, L["Trainer"])
	ARL:addTradeSkillSpell(8489, 175, L["Trainer"])
	ARL:addTradeSkillSpell(8766, 175, L["Trainer"])
	ARL:addTradeSkillSpell(8772, 175, L["Trainer"])
	ARL:addTradeSkillSpell(8774, 180, L["Trainer"])
	ARL:addTradeSkillSpell(3861, 185, L["Trainer"])
	ARL:addTradeSkillSpell(8791, 185, L["Trainer"])
	ARL:addTradeSkillSpell(8770, 190, L["Trainer"])
	ARL:addTradeSkillSpell(8799, 195, L["Trainer"])
	ARL:addTradeSkillSpell(12048, 205, L["Trainer"])
	ARL:addTradeSkillSpell(12049, 205, L["Trainer"])
	ARL:addTradeSkillSpell(8804, 210, L["Trainer"])
	ARL:addTradeSkillSpell(12050, 210, L["Trainer"])
	ARL:addTradeSkillSpell(12052, 210, L["Trainer"])
	ARL:addTradeSkillSpell(12053, 215, L["Trainer"])
	ARL:addTradeSkillSpell(12055, 215, L["Trainer"])
	ARL:addTradeSkillSpell(12061, 215, L["Trainer"])
	ARL:addTradeSkillSpell(12065, 225, L["Trainer"])
	ARL:addTradeSkillSpell(12067, 225, L["Trainer"])
	ARL:addTradeSkillSpell(12069, 225, L["Trainer"])
	ARL:addTradeSkillSpell(12070, 225, L["Trainer"])
	ARL:addTradeSkillSpell(12071, 225, L["Trainer"])
	ARL:addTradeSkillSpell(12072, 230, L["Trainer"])
	ARL:addTradeSkillSpell(12073, 230, L["Trainer"])
	ARL:addTradeSkillSpell(12074, 230, L["Trainer"])
	ARL:addTradeSkillSpell(12076, 235, L["Trainer"])
	ARL:addTradeSkillSpell(12077, 235, L["Trainer"])
	ARL:addTradeSkillSpell(12079, 235, L["Trainer"])
	ARL:addTradeSkillSpell(12082, 240, L["Trainer"])
	ARL:addTradeSkillSpell(12088, 245, L["Trainer"])
	ARL:addTradeSkillSpell(12092, 250, L["Trainer"])
	ARL:addTradeSkillSpell(18401, 250, L["Trainer"])
	ARL:addTradeSkillSpell(18402, 255, L["Trainer"])
	ARL:addTradeSkillSpell(18417, 275, L["Trainer"])
	ARL:addTradeSkillSpell(18423, 280, L["Trainer"])
	ARL:addTradeSkillSpell(31460, 300, L["Trainer"])
	ARL:addTradeSkillSpell(26745, 300, L["Trainer"])
	ARL:addTradeSkillSpell(26764, 310, L["Trainer"])
	ARL:addTradeSkillSpell(26765, 310, L["Trainer"])
	ARL:addTradeSkillSpell(26746, 315, L["Trainer"])
	ARL:addTradeSkillSpell(26770, 320, L["Trainer"])
	ARL:addTradeSkillSpell(26771, 325, L["Trainer"])
	ARL:addTradeSkillSpell(26772, 335, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill(BTS["Blue Linen Vest"], 55, ARL:ARL_AddVendor({1, 2, 3, 4, 5}, false))
	ARL:addTradeSkill(BTS["Red Linen Bag"], 70, ARL:ARL_AddVendor({6, 2, 7, 8, 9}, false))
	ARL:addTradeSkill(BTS["Blue Linen Robe"], 70, ARL:ARL_AddVendor({1, 6, 10, 11, 12}, false))
	ARL:addTradeSkill(BTS["Red Woolen Bag"], 115, ARL:ARL_AddVendor({13, 5, 14, 15, 9, 16, 17, 18, 19}, false))
	ARL:addTradeSkill(BTS["Greater Adept's Robe"], 115, ARL:ARL_AddVendor({11, 14, 16, 12, 17, 20}, false))
	ARL:addTradeSkill(BTS["Bright Yellow Shirt"], 135, ARL:ARL_AddVendor({21}, false), {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Azure Silk Gloves"], 145, ARL:ARL_AddVendor({24, 25}, false))
	ARL:addTradeSkill(BTS["Dark Silk Shirt"], 155, ARL:ARL_AddVendor({20, 26}, false))
	ARL:addTradeSkill(BTS["Enchanter's Cowl"], 165, ARL:ARL_AddVendor({27}, false))
	ARL:addTradeSkill(BTS["Azure Silk Cloak"], 175, ARL:ARL_AddVendor({22, 23}, false))
	ARL:addTradeSkill(BTS["Crimson Silk Cloak"], 180, ARL:ARL_AddVendor({27}, false))
	ARL:addTradeSkill(BTS["Icy Cloak"], 200, ARL:ARL_AddVendor({28, 29}, false))
	ARL:addTradeSkill(BTS["Black Swashbuckler's Shirt"], 200, ARL:ARL_AddVendor({30}, false))
	ARL:addTradeSkill(BTS["Crimson Silk Robe"], 205, ARL:ARL_AddVendor({31}, false))
	ARL:addTradeSkill(BTS["Orange Martial Shirt"], 220, ARL:ARL_AddVendor({9, 11}, false))
	ARL:addTradeSkill(BTS["Enchanted Mageweave Pouch"], 225, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49}, false))
	ARL:addTradeSkill(BTS["Lavender Mageweave Shirt"], 230, ARL:ARL_AddVendor({5, 50}, false))
	ARL:addTradeSkill(BTS["Pink Mageweave Shirt"], 235, ARL:ARL_AddVendor({5, 50}, false))
	ARL:addTradeSkill(BTS["Admiral's Hat"], 240,ARL:ARL_AddVendor({51}, false))
	ARL:addTradeSkill(BTS["Tuxedo Shirt"], 240, ARL:ARL_AddVendor({16, 50}, false))
	ARL:addTradeSkill(BTS["Tuxedo Pants"], 245, ARL:ARL_AddVendor({16, 50}, false))
	ARL:addTradeSkill(BTS["White Wedding Dress"], 250, ARL:ARL_AddVendor({9, 52}, false))
	ARL:addTradeSkill(BTS["Tuxedo Jacket"], 250, ARL:ARL_AddVendor({16, 50}, false))
	ARL:addTradeSkillSpell(18560, 250, ARL:ARL_AddVendor({53}, false))
	ARL:addTradeSkill(BTS["Runecloth Robe"], 260, ARL:ARL_AddVendor({55}, false))
	ARL:addTradeSkill(BTS["Runecloth Bag"], 260, ARL:ARL_AddVendor({53}, false))
	ARL:addTradeSkill(BTS["Soul Pouch"], 260, ARL:ARL_AddVendor({31}, false))
	ARL:addTradeSkill(BTS["Runecloth Cloak"], 265, ARL:ARL_AddVendor({55}, false))
	ARL:addTradeSkill(BTS["Felcloth Pants"], 275, ARL:ARL_AddVendor({56}, false))
	ARL:addTradeSkill(BTS["Enchanted Runecloth Bag"], 275, ARL:ARL_AddVendor({39}, false))
	ARL:addTradeSkill(BTS["Cenarion Herb Bag"], 275, ARL:ARL_AddVendor({57}, false))
	ARL:addTradeSkill(BTS["Mooncloth Robe"], 300, ARL:ARL_AddVendor({54}, false))
	ARL:addTradeSkill(BTS["Bolt of Imbued Netherweave"], 325, ARL:ARL_AddVendor({58, 59, 60}, false))
	ARL:addTradeSkill(BTS["Imbued Netherweave Bag"], 340, ARL:ARL_AddVendor({59, 61}, false))
	ARL:addTradeSkill(BTS["Netherweave Robe"], 340, ARL:ARL_AddVendor({58, 59, 60}, false))
	ARL:addTradeSkill(BTS["Imbued Netherweave Pants"], 340, ARL:ARL_AddVendor({63, 64}, false))
	ARL:addTradeSkill(BTS["Bolt of Soulcloth"], 345, ARL:ARL_AddVendor({153, 58, 61, 60}, false))
	ARL:addTradeSkill(BTS["Netherweave Tunic"], 345, ARL:ARL_AddVendor({58, 59, 60}, false))
	ARL:addTradeSkillSpell(26751, 350, ARL:ARL_AddVendor({139}, false))
	ARL:addTradeSkill(BTS["Imbued Netherweave Boots"], 350, ARL:ARL_AddVendor({63, 64}, false))
	ARL:addTradeSkillSpell(31373, 350, ARL:ARL_AddVendor({65}, false))
	ARL:addTradeSkillSpell(36686, 350, ARL:ARL_AddVendor({66}, false))
	ARL:addTradeSkill(BTS["Soulcloth Gloves"], 355, ARL:ARL_AddVendor({61, 153}, false))
	ARL:addTradeSkill(BTS["Imbued Netherweave Robe"], 360, ARL:ARL_AddVendor({62}, false))
	ARL:addTradeSkill(BTS["Imbued Netherweave Tunic"], 360, ARL:ARL_AddVendor({62}, false))
	ARL:addTradeSkill(BTS["Spellfire Bag"], 375, ARL:ARL_AddVendor({65}, false))
	ARL:addTradeSkill(BTS["Ebon Shadowbag"], 375, ARL:ARL_AddVendor({66}, false))
	ARL:addTradeSkill(BTS["Primal Mooncloth Bag"], 375, ARL:ARL_AddVendor({139}, false))
	ARL:addTradeSkill(BTS["Primal Mooncloth Belt"], 355, ARL:ARL_AddVendor({139}, false), {BTS["Mooncloth Tailoring"]})
	ARL:addTradeSkill(BTS["Primal Mooncloth Shoulders"], 365, ARL:ARL_AddVendor({139}, false), {BTS["Mooncloth Tailoring"]})
	ARL:addTradeSkill(BTS["Primal Mooncloth Robe"], 375, ARL:ARL_AddVendor({139}, false), {BTS["Mooncloth Tailoring"]})
	ARL:addTradeSkill(BTS["Frozen Shadoweave Shoulders"], 355, ARL:ARL_AddVendor({66}, false), {BTS["Shadoweave Tailoring"]})
	ARL:addTradeSkill(BTS["Frozen Shadoweave Boots"], 365, ARL:ARL_AddVendor({66}, false), {BTS["Shadoweave Tailoring"]})
	ARL:addTradeSkill(BTS["Frozen Shadoweave Robe"], 375, ARL:ARL_AddVendor({66}, false), {BTS["Shadoweave Tailoring"]})
	ARL:addTradeSkill(BTS["Spellfire Belt"], 355, ARL:ARL_AddVendor({65}, false), {BTS["Spellfire Tailoring"]})
	ARL:addTradeSkill(BTS["Spellfire Gloves"], 365, ARL:ARL_AddVendor({65}, false), {BTS["Spellfire Tailoring"]})
	ARL:addTradeSkill(BTS["Spellfire Robe"], 370, ARL:ARL_AddVendor({65}, false), {BTS["Spellfire Tailoring"]})

	-- World Drops
	ARL:addTradeSkill(BTS["Red Linen Robe"], 40, L["UWD"])
	ARL:addTradeSkill(BTS["Red Linen Vest"], 55, L["UWD"])
	ARL:addTradeSkill(BTS["Red Woolen Boots"], 95, L["UWD"])
	ARL:addTradeSkill(BTS["Green Woolen Bag"], 95, L["UWD"])
	ARL:addTradeSkill(BTS["Heavy Woolen Cloak"], 100, L["UWD"])
	ARL:addTradeSkill(BTS["Gray Woolen Robe"], 105, L["UWD"])
	ARL:addTradeSkill(BTS["Reinforced Woolen Shoulders"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Stylish Blue Shirt"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Stylish Green Shirt"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Colorful Kilt"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Phoenix Pants"], 125, L["UWD"])
	ARL:addTradeSkill(BTS["Phoenix Gloves"], 125, L["UWD"])
	ARL:addTradeSkill(BTS["Spider Silk Slippers"], 140, L["UWD"])
	ARL:addTradeSkill(BTS["Hands of Darkness"], 145, L["UWD"])
	ARL:addTradeSkill(BTS["Truefaith Gloves"], 150, L["UWD"])
	ARL:addTradeSkill(BTS["Green Silk Armor"], 165, L["UWD"])
	ARL:addTradeSkill(BTS["Shadow Hood"], 170, L["UWD"])
	ARL:addTradeSkill(BTS["Boots of the Enchanter"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Green Silk Pack"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Spider Belt"], 180, L["UWD"])
	ARL:addTradeSkill(BTS["Rich Purple Silk Shirt"], 185, L["UWD"])
	ARL:addTradeSkill(BTS["Crimson Silk Shoulders"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Azure Shoulders"], 190, L["UWD"])
	ARL:addTradeSkill(BTS["Earthen Silk Belt"], 195, L["UWD"])
	ARL:addTradeSkill(BTS["Star Belt"], 200, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Vest"], 215, L["UWD"])
	ARL:addTradeSkill(BTS["White Bandit Mask"], 215, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Pants"], 215, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Gloves"], 225, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Shoulders"], 235, L["UWD"])
	ARL:addTradeSkill(BTS["Red Mageweave Headband"], 240, L["UWD"])
	ARL:addTradeSkill(BTS["Frostweave Tunic"], 255, L["UWD"])
	ARL:addTradeSkill(BTS["Frostweave Robe"], 255, L["UWD"])
	ARL:addTradeSkill(BTS["Runecloth Tunic"], 260, L["UWD"])
	ARL:addTradeSkill(BTS["Frostweave Gloves"], 265, L["UWD"])
	ARL:addTradeSkill(BTS["Brightcloth Gloves"], 270, L["UWD"])
	ARL:addTradeSkill(BTS["Brightcloth Robe"], 270, L["UWD"])
	ARL:addTradeSkill(BTS["Brightcloth Cloak"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Frostweave Pants"], 280, L["UWD"])
	ARL:addTradeSkill(BTS["Felcloth Boots"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Runecloth Pants"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Brightcloth Pants"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Leggings"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Felcloth Hood"], 290, L["UWD"])
	ARL:addTradeSkill(BTS["Runecloth Headband"], 295, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Bag"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Vest"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Shoulders"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Runecloth Shoulders"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Felcloth Robe"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Mooncloth Circlet"], 300, L["RWD"])
	ARL:addTradeSkill(BTS["Felcloth Shoulders"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Gloves of Spell Mastery"], 300, L["EWD"])
	ARL:addTradeSkill(BTS["Bottomless Bag"], 300, L["RWD"])
	ARL:addTradeSkill(BTS["Unyielding Bracers"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Bracers of Havok"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Blackstrike Bracers"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Cloak of the Black Void"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Cloak of Eternity"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["White Remedy Cape"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Unyielding Girdle"], 365, L["UWD"])
	ARL:addTradeSkillSpell(31443, 365, L["EWD"])
	ARL:addTradeSkill(BTS["Black Belt of Knowledge"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Resolute Cape"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Vengeance Wrap"], 365, L["UWD"])
	ARL:addTradeSkill(BTS["Manaweave Cloak"], 365, L["UWD"])

	-- Seasonal
 	ARL:addTradeSkill(BTS["Green Holiday Shirt"], 190, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Red Winter Clothes"], 250, L["WintersVeil"], {L["Seasonal"], BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Green Winter Clothes"], 250, L["WintersVeil"], {L["Seasonal"], BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Festive Red Pant Suit"], 250, L["WintersVeil"], {L["Seasonal"]})
 	ARL:addTradeSkill(BTS["Festival Dress"], 250, L["Lunar Festival"], {L["Seasonal"]})

	-- Specific Drops
	ARL:addTradeSkill(BTS["Robes of Arcana"], 150, L["Robes of Arcana Obt"])
	ARL:addTradeSkill(BTS["Black Silk Pack"], 185, L["Black Silk Pack Obt"])
	ARL:addTradeSkill(BTS["Shadoweave Mask"], 245, L["Shadoweave Mask Obt"])
	ARL:addTradeSkill(BTS["Cindercloth Vest"], 260, L["Cindercloth Vest Obt"])
	ARL:addTradeSkill(BTS["Ghostweave Belt"], 265, L["Ghostweave Belt Obt"])
	ARL:addTradeSkill(BTS["Cindercloth Gloves"], 270, L["Cindercloth Gloves Obt"])
	ARL:addTradeSkill(BTS["Ghostweave Gloves"], 270, L["Ghostweave Gloves Obt"])
	ARL:addTradeSkill(BTS["Ghostweave Vest"], 275, L["Ghostweave Vest Obt"])
	ARL:addTradeSkill(BTS["Cindercloth Cloak"], 275, L["Cindercloth Cloak Obt"])
	ARL:addTradeSkill(BTS["Wizardweave Leggings"], 275, L["Wizardweave Leggings Obt"])
	ARL:addTradeSkill(BTS["Cloak of Fire"], 275, L["Cloak of Fire Obt"])
	ARL:addTradeSkill(BTS["Cindercloth Pants"], 280, L["Cindercloth Pants Obt"])
	ARL:addTradeSkill(BTS["Robe of Winter Night"], 285, L["Robe of Winter Night Obt"])
	ARL:addTradeSkill(BTS["Felcloth Bag"], 285, L["Felcloth Bag Obt"])
	ARL:addTradeSkill(BTS["Mooncloth Boots"], 290, L["Mooncloth Boots Obt"])
	ARL:addTradeSkill(BTS["Ghostweave Pants"], 290, L["Ghostweave Pants Obt"])
	ARL:addTradeSkill(BTS["Wizardweave Robe"], 300, L["Wizardweave Robe Obt"])
	ARL:addTradeSkill(BTS["Wizardweave Turban"], 300, L["Wizardweave Turban Obt"])
	ARL:addTradeSkill(BTS["Gordok Ogre Suit"], 300, L["Gordok Ogre Suit Obt"])
	ARL:addTradeSkill(BTS["Truefaith Vestments"], 300, L["Truefaith Vestments Obt"], {"PRIEST"})
	ARL:addTradeSkill(BTS["Robe of the Archmage"], 300, L["Robe of the Archmage Obt"], {"MAGE"})
	ARL:addTradeSkill(BTS["Robe of the Void"], 300, L["Robe of the Void Obt"], {"WARLOCK"})
	ARL:addTradeSkill(BTS["Belt of the Archmage"], 300, L["DMCACHE"])
	ARL:addTradeSkillSpell(22867, 300, L["DMCACHE"])
	ARL:addTradeSkillSpell(22868, 300, L["DMCACHE"])
	ARL:addTradeSkillSpell(22869, 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Cloak of Warding"], 300, L["DMCACHE"])
	ARL:addTradeSkill(BTS["Runed Stygian Belt"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Runed Stygian Boots"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Runed Stygian Leggings"], 300, L["TrueBelieverQuest"])
	ARL:addTradeSkill(BTS["Big Bag of Enchantment"], 300, L["Big Bag of Enchantment Obt"])
	ARL:addTradeSkill(BTS["Arcanoweave Bracers"], 350, L["Arcanoweave Bracers Obt"])
	ARL:addTradeSkill(BTS["Arcanoweave Boots"], 360, L["Arcanoweave Boots Obt"])
	ARL:addTradeSkill(BTS["Arcanoweave Robe"], 370, L["Arcanoweave Robe Obt"])
	ARL:addTradeSkill(BTS["Whitemend Pants"], 375, L["Whitemend Pants Obt"])
	ARL:addTradeSkill(BTS["Spellstrike Pants"], 375, L["Spellstrike Pants Obt"])
	ARL:addTradeSkill(BTS["Battlecast Pants"], 375, L["Battlecast Pants Obt"])
	ARL:addTradeSkill(BTS["Whitemend Hood"], 375, L["Whitemend Hood Obt"])
	ARL:addTradeSkill(BTS["Spellstrike Hood"], 375, L["Spellstrike Hood Obt"])
	ARL:addTradeSkill(BTS["Battlecast Hood"], 375, L["Battlecast Hood Obt"])

	-- Reputations
	ARL:addTradeSkill(BTS["Wisdom of the Timbermaw"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Argent Boots"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Flarecore Mantle"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Flarecore Gloves"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Mantle of the Timbermaw"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Argent Shoulders"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Flarecore Robe"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Flarecore Leggings"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Bloodvine Boots"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bloodvine Leggings"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Bloodvine Vest"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Satchel of Cenarius"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Gaea's Embrace"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sylvan Crown"], 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sylvan Shoulders"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Sylvan Vest"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkill(BTS["Glacial Gloves"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glacial Wrists"], 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glacial Vest"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Glacial Cloak"], 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Mystic Spellthread"], 335, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Silver Spellthread"], 335, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Bag of Jewels"], 340, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkill(BTS["Cloak of Arcane Evasion"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Flameheart Bracers"], 350, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Flameheart Gloves"], 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Flameheart Vest"], 370, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Runic Spellthread"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Golden Spellthread"], 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	ARL:addTradeSkill(BTS["Night's End"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Soulguard Bracers"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Soulguard Girdle"], 375, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Soulguard Leggings"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})
	ARL:addTradeSkill(BTS["Soulguard Slippers"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Ashtongue Deathsworn"]), {BFAC["Ashtongue Deathsworn"], L["Raid"]})

	-- Raid Drops
	ARL:addTradeSkillSpell(22759, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Core Felcloth Bag"], 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Soulcloth Shoulders"], 365, L["Soulcloth Shoulders Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Soulcloth Vest"], 375, L["Soulcloth Vest Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of the Long Road"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of the Long Road"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Belt of Blasting"], 375, L["SSC/TKBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Boots of Blasting"], 375, L["SSC/TKBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftheal Wraps"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Swiftheal Mantle"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Bracers of Nimble Thought"], 375, L["BT/HYJALBoP"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Mantle of Nimble Thought"], 375, L["BT/HYJALBoE"], {L["Raid"]})
	ARL:addTradeSkillSpell(46128, 365, L["SunwellBoP"], {L["Raid"]})
	ARL:addTradeSkillSpell(46129, 365, L["SunwellBoP"], {L["Raid"]})
	ARL:addTradeSkillSpell(46130, 365, L["SunwellBoP"], {L["Raid"]})
	ARL:addTradeSkillSpell(46131, 365, L["SunwellBoP"], {L["Raid"]})

end
